Skip to content

Get Invitation Details

GET
/api/public/invitations/{id}

Look up a pending organization invitation by id. Used by the accept-invitation page to render the form before the invitee has signed up.

Authorizations

ApiKeyAuth

API key for authentication. Get your API key from the dashboard.

Type
API Key (header: X-Api-Key)

Parameters

Path Parameters

id*
Type
string
Required

Responses

Invitation details

application/json
JSON
{
  
"data": {
  
  
"id": "string",
  
  
"email": "string",
  
  
"role": "string",
  
  
"status": "string",
  
  
"expiresAt": "string",
  
  
"organization": {
  
  
  
"id": "string",
  
  
  
"name": "string"
  
  
},
  
  
"inviter": {
  
  
  
"name": "string",
  
  
  
"email": "string"
  
  
}
  
}
}

Playground

Authorization
Variables
Key
Value

Samples

Powered by VitePress OpenAPI

AstroAPI Documentation